Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlSelectBooleanCheckboxTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
              org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.shared_orchestra.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.shared_orchestra.taglib.html.HtmlSelectBooleanCheckboxTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.Tag

    public abstract class HtmlSelectBooleanCheckboxTagBase

extends HtmlInputTagBase

Version:
  $Revision: 472630 $ $Date: 2006-11-08 21:40:03 +0100 (Mi, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlSelectBooleanCheckboxTagBase()`

Method Summary
`void` | `release()`
`void` | `setAccesskey(java.lang.String accesskey)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setChecked(java.lang.String checked)`
`void` | `setDatafld(java.lang.String datafld)`
`void` | `setDataformatas(java.lang.String dataformatas)`
`void` | `setDatasrc(java.lang.String datasrc)`
`void` | `setDisabled(java.lang.String disabled)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOnselect(java.lang.String onselect)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setReadonly(java.lang.String readonly)`
`void` | `setTabindex(java.lang.String tabindex)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlInputTagBase
`setImmediate, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSelectBooleanCheckboxTagBase

    public HtmlSelectBooleanCheckboxTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputTagBase`

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### setAlt

    public void setAlt(java.lang.String alt)

### setChecked

    public void setChecked(java.lang.String checked)

### setDatafld

    public void setDatafld(java.lang.String datafld)

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

### setDisabled

    public void setDisabled(java.lang.String disabled)

### setOnblur

    public void setOnblur(java.lang.String onblur)

### setOnchange

    public void setOnchange(java.lang.String onchange)

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### setOnselect

    public void setOnselect(java.lang.String onselect)

### setReadonly

    public void setReadonly(java.lang.String readonly)

  Overrides:
    `setReadonly` in class `HtmlInputTagBase`

### setTabindex

    public void setTabindex(java.lang.String tabindex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.